Logger::LoggerFilter Class Reference

Implements a general event filtering class. More...

Inheritance diagram for Logger::LoggerFilter:
[legend]

## Public Member Functions

int | eval (LoggerEvent event)
| Performs filtering logic on an event and returns the decision for the event. More...

## Public Attributes

const | ACCEPT = 1
| The event will be processed.
const | DENY = -1
| The event should not be processed.
const | NEUTRAL = 0
| No decision could be made, further filtering should occur.

## Detailed Description

Implements a general event filtering class.

Users should extend this class to implement customized logging event filtering. The filter consists of a linear chain of particular filters evaluating if the event should be immediately accepted, rejected or passed to next filter.

## Member Function Documentation

## eval()

int Logger::LoggerFilter::eval | ( | LoggerEvent | event | ) |

Performs filtering logic on an event and returns the decision for the event.

The method should be overridden to implement a real rule. The default result is NEUTRAL

Parameters

  event | the log event

Returns
  the result of evaluating the event (the default for this method is NEUTRAL)